<!doctype html>
<html lang="es">
    <head>
        <meta charset="utf-8">
        <title>flex-basis</title>
        <link rel="stylesheet" href="../css/ejemplos.css">
        <style>

            .flex {
                background-color: gray;
                display: flex;
                margin: 1em;
            }

            .flex > div {
                background-color: lightblue;
                border: 1px solid;
                text-align: center;
            }

            .stretch {
                justify-content: stretch;
            }

            .flex-basis {
                flex-basis: 20%;
            }

            .flex-basis2 {
                flex-basis: 30%;
            }
        </style>
    </head>
    <body>
        <div class="flex">
            <div>Párrafo sin basis 1</div>
            <div>Párrafo sin basis 2</div>
            <div class="flex-basis">flex-basis: 20%</div>
            <div>Párrafo sin basis 4</div>
        </div>
        <div class="flex stretch">
            <div>Párrafo sin basis 1</div>
            <div class="flex-basis">flex-basis: 20%</div>
            <div>Párrafo sin basis 3</div>
            <div class="flex-basis2">flex-basis: 30%</div>
        </div>
    </body>
</html>